### File

`packages/eui-ecl/packages/core/src/lib/components/ecl-link/ecl-link.directive.ts`

### Implements

`OnInit` `AfterContentInit` `OnChanges` `AfterViewInit`

### Metadata

Selector | `[eclLink]`

### Index

###### Properties
eclIconComponents
###### Inputs
class styleClass variant
###### HostBindings
class.ecl-link class.ecl-link--cta class.ecl-link--default class.ecl-link--icon class.ecl-link--standalone

### Constructor

`constructor(cd: ChangeDetectorRef, el: ElementRef)`
Parameters :
Name | Type | Optional
cd | `ChangeDetectorRef` | No
el | `ElementRef` | No

### Inputs

class
Type : `string`

styleClass
Type : `string`

variant
Type : `string`
Default value : `'default'`

### HostBindings

class.ecl-link
Type : `boolean`
Default value : `true`

class.ecl-link--cta
Default value : `false`

class.ecl-link--default
Default value : `true`

class.ecl-link--icon
Default value : `false`

class.ecl-link--standalone
Default value : `false`

### Properties

eclIconComponents
Type : `QueryList<EclIconComponent>`
Decorators : `@ContentChildren(undefined)`

# result-matching ""

# No results matching ""